Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Unable to install WTP - missing requirements(Cannot install WTP on Ubuntu Koala)
Unable to install WTP - missing requirements [message #506033] Tue, 05 January 2010 14:46 Go to next message
Alec Cawley is currently offline Alec Cawley
Messages: 6
Registered: January 2010
Location: Cambridge, UK
Junior Member
I have just downloaded Eclipse from the Ubuntu download site, and I want to install WTP. It fails to do so with the message below. Can you tell me what I am missing, or point me at a list of prerequisites that I can preload?

Thanks in advance for any assistance

Alec

Cannot complete the install because one or more required items could not be found.
Software being installed: Eclipse XSL Developer Tools 1.0.2.v200908271520-7R7T8sFIhIehWg454rq_U1 (org.eclipse.wst.xsl.feature.feature.group 1.0.2.v200908271520-7R7T8sFIhIehWg454rq_U1)
Missing requirement: Structured Text Model 1.1.401.v200909172215 (org.eclipse.wst.sse.core 1.1.401.v200909172215) requires 'bundle org.eclipse.emf.common [2.4.0,3.0.0)' but it could not be found
Cannot satisfy dependency:
From: XSL Core 1.0.1.v200908101420 (org.eclipse.wst.xsl.core 1.0.1.v200908101420)
To: bundle org.eclipse.wst.sse.core [1.1.300,2.0.0)
Cannot satisfy dependency:
From: Eclipse XSL Developer Tools 1.0.2.v200908271520-7R7T8sFIhIehWg454rq_U1 (org.eclipse.wst.xsl.feature.feature.group 1.0.2.v200908271520-7R7T8sFIhIehWg454rq_U1)
To: org.eclipse.wst.xsl.launching [1.0.0.v200904241348]
Cannot satisfy dependency:
From: XSL Transform Launching 1.0.0.v200904241348 (org.eclipse.wst.xsl.launching 1.0.0.v200904241348)
To: bundle org.eclipse.wst.xsl.core [1.0.0,2.0.0)
Re: Unable to install WTP - missing requirements [message #506049 is a reply to message #506033] Tue, 05 January 2010 16:20 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin Dahyabhai
Messages: 2235
Registered: July 2009
Senior Member
Alec Cawley wrote:
> I have just downloaded Eclipse from the Ubuntu download site, and I want
> to install WTP. It fails to do so with the message below. Can you tell
> me what I am missing, or point me at a list of prerequisites that I can
> preload?
>
> Thanks in advance for any assistance


> Missing requirement: Structured Text Model 1.1.401.v200909172215
> (org.eclipse.wst.sse.core 1.1.401.v200909172215) requires 'bundle
> org.eclipse.emf.common [2.4.0,3.0.0)' but it could not be found

Looks like you're missing the required version of EMF, for starters,
but then I can't tell what you were doing when you got that message.

--
---
Nitin Dahyabhai
Eclipse WTP Source Editing
IBM Rational


---
Nitin Dahyabhai
Eclipse WTP, IBM
Re: Unable to install WTP - missing requirements [message #506053 is a reply to message #506033] Tue, 05 January 2010 16:39 Go to previous messageGo to next message
Alec Cawley is currently offline Alec Cawley
Messages: 6
Registered: January 2010
Location: Cambridge, UK
Junior Member
Selected Help | Install New Software

Added site http://download.eclipse.org/webtools/updates/

Checked Web Tools Platform (WTP) 3.1.1

Selected Next

The result is "Operation cannot be completed. See details" and the Details contain the message I posted.
Re: Unable to install WTP - missing requirements [message #506292 is a reply to message #506053] Wed, 06 January 2010 14:42 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin Dahyabhai
Messages: 2235
Registered: July 2009
Senior Member
Did you also have the Galileo update site (http://download.eclipse.org/releases/galileo/) available?

---
Nitin Dahyabhai
Eclipse WTP, IBM
Re: Unable to install WTP - missing requirements [message #506295 is a reply to message #506292] Wed, 06 January 2010 15:27 Go to previous message
Alec Cawley is currently offline Alec Cawley
Messages: 6
Registered: January 2010
Location: Cambridge, UK
Junior Member
No, I didn't. And as soon as I did, it all installed fine. Previous installations I had done had always had the main download site pre-loaded, so I didn't think to add it. But this one (Ubuntu) didn't.

Thank you very much.

Alec
Previous Topic:WSDL - using IP addr instead of hostname
Next Topic:Web page editor intermittently does not show JSF design
Goto Forum:
  


Current Time: Mon Jul 28 10:40:24 EDT 2014

Powered by FUDForum. Page generated in 0.11977 seconds